Loading...
Searching...
No Matches
ipc_client File Reference
`#include <l4/sys/cxx/ipc_basics>`
`#include <l4/sys/cxx/ipc_types>`
`#include <l4/sys/cxx/ipc_iface>`
`#include <l4/sys/__typeinfo.h>`
`#include <l4/sys/err.h>`
Include dependency graph for ipc_client:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | L4
| L4 low-level kernel interface.
namespace | L4::Ipc
| IPC related functionality.
namespace | L4::Ipc::Msg
| IPC Message related functionality.

## Macros

#define | L4_RPC_DEF(name)
| Generate the definition of an RPC stub.

## Macro Definition Documentation

## L4_RPC_DEF

#define L4_RPC_DEF | ( |  | name | ) |

Value:
template struct L4::Ipc::Msg::Rpc_call \
<name##_t, name##_t::class_type, name##_t::ipc_type, name##_t::flags_type>

Generate the definition of an RPC stub.

Parameters

  name | The fully qualified method name to be implemented, this means class::method.

This macro generates the definition (implementation) for the given RPC interface method.

Definition at line 32 of file ipc_client.